- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
qi::AuthProvider Class Referenceabstract

`#include <authprovider.hpp>`

## Public Types
enum | State { State_Error = 1, State_Cont, State_Done }

## Public Member Functions
virtual | ~AuthProvider ()
CapabilityMap | processAuth (const CapabilityMap &authData)

## Static Public Attributes
static const std::string | State_Key
static const std::string | Error_Reason_Key
static const std::string | UserAuthPrefix
static const std::string | QiAuthPrefix

## Protected Member Functions
virtual CapabilityMap | _processAuth (const CapabilityMap &authData)=0

## Detailed Description

Definition at line 23 of file authprovider.hpp.

## Member Enumeration Documentation

enum qi::AuthProvider::State

Enumerator
State_Error |
State_Cont |
State_Done |

Definition at line 27 of file authprovider.hpp.

## Constructor & Destructor Documentation

virtual qi::AuthProvider::~AuthProvider | ( |  | ) |
| inline virtual

Definition at line 38 of file authprovider.hpp.

## Member Function Documentation

virtual CapabilityMap qi::AuthProvider::_processAuth | ( | const CapabilityMap & | authData | ) |
| protected pure virtual

CapabilityMap qi::AuthProvider::processAuth | ( | const CapabilityMap & | authData | ) |

## Member Data Documentation

const std::string qi::AuthProvider::Error_Reason_Key
| static

Definition at line 33 of file authprovider.hpp.

const std::string qi::AuthProvider::QiAuthPrefix
| static

Definition at line 36 of file authprovider.hpp.

const std::string qi::AuthProvider::State_Key
| static

Definition at line 26 of file authprovider.hpp.

const std::string qi::AuthProvider::UserAuthPrefix
| static

Definition at line 35 of file authprovider.hpp.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/messaging/authprovider.hpp